- content_for(:menu_item) { @agent ? "menu-agendas" : "menu-rdvs-list" }

- content_for :breadcrumb do
  ol.breadcrumb.m-0.p-0
    - if @agent
      li.breadcrumb-item.p-0
        - if @agent != current_agent
          = link_to "Agenda de #{@agent.full_name}", admin_organisation_agent_agenda_path(current_organisation, @agent)
        - else
          = link_to "Votre agenda", admin_organisation_agent_agenda_path(current_organisation, current_agent)
    li.breadcrumb-item.p-0.ml-2
      | RDV
      |&nbsp;
      = rdv_title_for_agent(@rdv)
    li.breadcrumb-item.p-0.ml-2
      | Modifier

- content_for :title do
  | Modifier le RDV

.row.justify-content-center
  .col-md-8
    .card
      .card-body
        = simple_form_for([:admin, @rdv_form.organisation, @rdv]) do |f|
          = render "model_errors", model: @rdv_form, f: f
          = collapsible_form_fields_for_warnings(@rdv_form) do
            = hidden_field_tag :agent_id, @agent&.id
            = f.association :motif, collection: [@rdv_form.motif], disabled: true
            = f.input :context, input_html: { rows: 3 }
            .form-row
              .col-md-6= datetime_input(f, :starts_at)
              .col-md-6= f.input :duration_in_min
            - if @rdv_form.motif.public_office?
              = f.association :lieu, \
                collection: policy_scope(Lieu).enabled, \
                label_method: :full_name, \
                include_blank: true, \
                required: true,
                input_html: { class: "select2-input" }
            - elsif @rdv_form.motif.home?
              = f.input :address, label: "Lieu (RDV à domicile)", disabled: true
            = f.association :agents,
              collection: @rdv_form.agents,
              label_method: :full_name_and_service,
                    input_html: { \
                      multiple: true,
                      class: "select2-input",
                      data: { \
                        "select-options": { \
                          ajax: { \
                            url: admin_organisation_agents_path(current_organisation),
                            dataType: "json", delay: 250, \
                          }, \
                        }, \
                      }, \
                    }

            - if @rdv_form.motif.collectif?
              = f.input :name, wrapper_html: { class: "mb-1" }
              p.text-muted.font-14= I18n.t("activerecord.attributes.rdv/name.hint")

              = f.input :max_participants_count, input_html: { min: 1 }
            .form-group
              = "#{User.model_name.human.pluralize} :"
              = f.fields_for :rdvs_users, @rdv.rdvs_users do |rdv_user_form|
                = render "admin/rdvs_users/form", form: rdv_user_form

            .form-group
              = select_tag :status,
                      options_for_select([]),
                      include_blank: "Ajouter un usager",
                      required: false,
                      class: "select2-input js-rdv-user-select",
                      data: { \
                width: "auto", \
                "scroll-to-bottom": params[:add_user].present?, \
                "select-options": { ajax: { url: search_admin_organisation_users_path(current_organisation, exclude_ids: @rdv.rdvs_users.map(&:user_id)), dataType: "json", delay: 250 } }, \
               }

            .text-right
              = link_to t("helpers.back"), admin_organisation_rdv_path(current_organisation, @rdv), class: "btn btn-link"
              = f.button :submit, t("helpers.submit.submit")
